<?php 

function maco_social_profile() {

	$options = get_option('maco_framework');
	$twitter = $options['twitter_profile'];
	$facebook = $options['facebook_profile'];
	$linkedin = $options['linkedin_profile'];
	$google = $options['google_profile'];
	$pinterest = $options['pinterest_profile'];
	$dribble = $options['dribble_profile'];
	$flickr = $options['flickr_profile'];
	$behance = $options['behance_profile'];
	$youtube = $options['youtube_profile'];
	$soundcloud = $options['soundcloud_profile'];
	$codepen = $options['codepen_profile'];
	$deviantart = $options['deviantart_profile'];
	$digg = $options['digg_profile'];
	$dropbox = $options['dropbox_profile'];
	$github = $options['github_profile'];
	$instagram = $options['instagram_profile'];
	$skype = $options['skype_profile'];
	$spotify = $options['spotify_profile'];
	$steam = $options['steam_profile'];
	$trello = $options['trello_profile'];
	$tumblr = $options['tumblr_profile'];
	$vimeo = $options['vimeo_profile'];
	$wechat = $options['wechat_profile'];
	$weibo = $options['weibo_profile'];
	$wordpress = $options['wordpress_profile'];
	$xing = $options['xing_profile'];
	$yahoo = $options['yahoo_profile'];
	$yelp = $options['yelp_profile'];

	if (!empty($twitter)) { ?>
		<li class="twitter soc-icon"><a target="_blank" href="<?php echo esc_url( $twitter ); ?>" title="<?php echo esc_attr( 'Twitter' ); ?>" class="icon icon-themify-13"></a></li>
	<?php 
	} 

	if (!empty($facebook)) { ?>
		<li class="facebook soc-icon"><a target="_blank" href="<?php echo esc_url( $facebook ); ?>" title="<?php echo esc_attr( 'Facebook' ); ?>" class="icon icon-themify-17"></a></li>
	<?php 
	} 

	if (!empty($linkedin)) { ?>
		<li class="linkedin soc-icon"><a target="_blank" href="<?php echo esc_url( $linkedin ); ?>" title="<?php echo esc_attr( 'Linkedin' ); ?>" class="icon icon-themify-8"></a></li>
	<?php 
	} 

	if (!empty($google)) { ?>
		<li class="google soc-icon"><a target="_blank" href="<?php echo esc_url( $google ); ?>" title="<?php echo esc_attr( 'Google' ); ?>" class="icon icon-themify-11"></a></li>
	<?php 
	} 

	if (!empty($pinterest)) { ?>
		<li class="pinterest soc-icon"><a target="_blank" href="<?php echo esc_url( $pinterest ); ?>" title="<?php echo esc_attr( 'Pinterest' ); ?>" class="icon icon-themify-9"></a></li>
	<?php 
	} 

	if (!empty($dribble)) { ?>
		<li class="dribble soc-icon"><a target="_blank" href="<?php echo esc_url( $dribble ); ?>" title="<?php echo esc_attr( 'Dribbble' ); ?>" class="icon icon-social-dribbble"></a></li>
	<?php 
	}

	if (!empty($flickr)) { ?>
		<li class="flickr soc-icon"><a target="_blank" href="<?php echo esc_url( $flickr ); ?>" title="<?php echo esc_attr( 'Flickr' ); ?>" class="icon icon-themify-16"></a></li>
	<?php 
	}

	if (!empty($behance)) { ?>
		<li class="behance soc-icon"><a target="_blank" href="<?php echo esc_url( $behance ); ?>" title="<?php echo esc_attr( 'Behance' ); ?>" class="icon icon-behance-2"></a></li>
	<?php 
	}

	if (!empty($youtube)) { ?>
		<li class="youtube soc-icon"><a target="_blank" href="<?php echo esc_url( $youtube ); ?>" title="<?php echo esc_attr( 'Youtube' ); ?>" class="icon icon-themify-7"></a></li>
	<?php 
	}

	if (!empty($soundcloud)) { ?>
		<li class="soundcloud soc-icon"><a target="_blank" href="<?php echo esc_url( $soundcloud ); ?>" title="<?php echo esc_attr( 'Soundcloud' ); ?>" class="icon icon-themify-19"></a></li>
	<?php 
	}

	if (!empty($codepen)) { ?>
		<li class="codepen soc-icon"><a target="_blank" href="<?php echo esc_url( $codepen ); ?>" title="<?php echo esc_attr( 'Codepen' ); ?>" class="icon icon-social-codepen"></a></li>
	<?php 
	}

	if (!empty($deviantart)) { ?>
		<li class="deviantart soc-icon"><a target="_blank" href="<?php echo esc_url( $deviantart ); ?>" title="<?php echo esc_attr( 'Deviantart' ); ?>" class="icon icon-deviantart"></a></li>
	<?php 
	}

	if (!empty($digg)) { ?>
		<li class="digg soc-icon"><a target="_blank" href="<?php echo esc_url( $digg ); ?>" title="<?php echo esc_attr( 'Digg' ); ?>" class="icon icon-digg"></a></li>
	<?php 
	}

	if (!empty($dropbox)) { ?>
		<li class="dropbox soc-icon"><a target="_blank" href="<?php echo esc_url( $dropbox ); ?>" title="<?php echo esc_attr( 'Dropbox' ); ?>" class="icon icon-themify-23"></a></li>
	<?php 
	}

	if (!empty($github)) { ?>
		<li class="github soc-icon"><a target="_blank" href="<?php echo esc_url( $github ); ?>" title="<?php echo esc_attr( 'Github' ); ?>" class="icon icon-social-github"></a></li>
	<?php 
	}

	if (!empty($instagram)) { ?>
		<li class="instagram soc-icon"><a target="_blank" href="<?php echo esc_url( $instagram ); ?>" title="<?php echo esc_attr( 'Instagram' ); ?>" class="icon icon-social-instagram-outline"></a></li>
	<?php 
	}

	if (!empty($skype)) { ?>
		<li class="skype soc-icon"><a target="_blank" href="<?php echo esc_url( $skype ); ?>" title="<?php echo esc_attr( 'Skype' ); ?>" class="icon icon-skype"></a></li>
	<?php 
	}

	if (!empty($spotify)) { ?>
		<li class="spotify soc-icon"><a target="_blank" href="<?php echo esc_url( $spotify ); ?>" title="<?php echo esc_attr( 'Spotify' ); ?>" class="icon icon-spotify"></a></li>
	<?php 
	}

	if (!empty($steam)) { ?>
		<li class="steam soc-icon"><a target="_blank" href="<?php echo esc_url( $steam ); ?>" title="<?php echo esc_attr( 'Steam' ); ?>" class="icon icon-steam-square"></a></li>
	<?php 
	}

	if (!empty($trello)) { ?>
		<li class="trello soc-icon"><a target="_blank" href="<?php echo esc_url( $trello ); ?>" title="<?php echo esc_attr( 'Trello' ); ?>" class="icon icon-trello"></a></li>
	<?php 
	}

	if (!empty($tumblr)) { ?>
		<li class="tumblr soc-icon"><a target="_blank" href="<?php echo esc_url( $tumblr ); ?>" title="<?php echo esc_attr( 'Tumblr' ); ?>" class="icon icon-themify-10"></a></li>
	<?php 
	}

	if (!empty($vimeo)) { ?>
		<li class="vimeo soc-icon"><a target="_blank" href="<?php echo esc_url( $vimeo ); ?>" title="<?php echo esc_attr( 'Vimeo' ); ?>" class="fa fa-vimeo-square"></a></li>
	<?php 
	}

	if (!empty($wechat)) { ?>
		<li class="wechat soc-icon"><a target="_blank" href="<?php echo esc_url( $wechat ); ?>" title="<?php echo esc_attr( 'Wechat' ); ?>" class="icon icon-weixin"></a></li>
	<?php 
	}

	if (!empty($weibo)) { ?>
		<li class="weibo soc-icon"><a target="_blank" href="<?php echo esc_url( $weibo ); ?>" title="<?php echo esc_attr( 'Weibo' ); ?>" class="icon icon-weibo"></a></li>
	<?php 
	}

	if (!empty($wordpress)) { ?>
		<li class="wordpress soc-icon"><a target="_blank" href="<?php echo esc_url( $wordpress ); ?>" title="<?php echo esc_attr( 'WordPress' ); ?>" class="icon icon-themify-10"></a></li>
	<?php 
	}

	if (!empty($xing)) { ?>
		<li class="xing soc-icon"><a target="_blank" href="<?php echo esc_url( $xing ); ?>" title="<?php echo esc_attr( 'Xing' ); ?>" class="icon icon-xing"></a></li>
	<?php 
	}

	if (!empty($yahoo)) { ?>
		<li class="yahoo soc-icon"><a target="_blank" href="<?php echo esc_url( $yahoo ); ?>" title="<?php echo esc_attr( 'Yahoo' ); ?>" class="icon icon-yahoo"></a></li>
	<?php 
	}

	if (!empty($yelp)) { ?>
		<li class="yelp soc-icon"><a target="_blank" href="<?php echo esc_url( $yelp ); ?>" title="<?php echo esc_attr( 'Yelp' ); ?>" class="icon icon-yelp"></a></li>
	<?php 
	} 
}

//EXCERPT

function maco_excerpt($limit) {
	$excerpt = explode(' ', get_the_excerpt(), $limit);
	if (count($excerpt)>=$limit) {
		array_pop($excerpt);
		$excerpt = implode(" ",$excerpt).'...';
	} else {
		$excerpt = implode(" ",$excerpt);
	} 
	$excerpt = preg_replace('`\[[^\]]*\]`','',$excerpt);
	return $excerpt;
}
 
function maco_content($limit) {
	$content = explode(' ', get_the_content(), $limit);
	if (count($content)>=$limit) {
		array_pop($content);
		$content = implode(" ",$content).'...';
	} else {
		$content = implode(" ",$content);
	} 
	$content = preg_replace('/\[.+\]/','', $content);
	$content = apply_filters('the_content', $content); 
	$content = str_replace(']]>', ']]&gt;', $content);
	return $content;
}


function maco_custom_excerpt_length( $length ) {
	return 40;
}
add_filter( 'excerpt_length', 'maco_custom_excerpt_length', 999 );

function maco_new_excerpt_more( $more ) {
	return '...';
}
add_filter('excerpt_more', 'maco_new_excerpt_more');


/* ======== porfo get avatar ======= */
function maco_get_author_50() {
	echo get_avatar( get_the_author_meta('ID'), '60' );
}

function maco_get_author_30() {
	echo get_avatar( get_the_author_meta('ID'), '30' );
}


/*=========*   FOOTER TYPE   *=========*/
function maco_footer_choice() {

	if ( class_exists( 'Redux' ) ) {
		$options = get_option('maco_framework');
		if(!empty($options['footer_type'])) {
			$maco_footer_type = $options['footer_type'];
		} else {
			$maco_footer_type = "";
		}

		if( $maco_footer_type == 'default' ) {

			get_footer();
		}
		elseif( $maco_footer_type == 'no-footer' ) {

			get_footer('no-footer');
		}
	}
	else {
		get_footer();
	}

}
