<?php get_header(); ?>

<?php 
if ( class_exists( 'Redux' ) ) {
$options = get_option('maco_framework');
	if(!empty($options['loop_blog_style'])) {
		$maco_blog_style = $options['loop_blog_style'];
	} else {
		$maco_blog_style = "";
	}
	if(!empty($options['loop_nav_type'])) {
		$maco_loop_nav_type = $options['loop_nav_type'];
	} else {
		$maco_loop_nav_type = "";
	}
	if(!empty($options['blog_infinite_style'])) {
		$maco_blog_infinite_style = $options['blog_infinite_style'];
	} else {
		$maco_blog_infinite_style = "";
	}

?>
<!-- CONTENT START
============================================= -->
<div id="content" class="blog-content-wrap clearfix">

	<!-- BLOG START
	============================================= -->
	<div class="blog blog-loop right-sidebar clearfix">
		<div class="container clearfix">
			<div class="row clearfix">
				<!-- BLOG LOOP START
				============================================= -->
				<div class="<?php if($maco_blog_style == 'sidebar') { ?>column column-2of3 <?php } ?>clearfix">
					<div class="blog-section main-blog-loop infinite-container content-section">

					<?php while ( have_posts() ) : the_post(); 
			
						get_template_part( 'inc/format/loop', get_post_format() );

					endwhile; // end of the loop. ?>
				
					</div>
					
					<div class="blog-standard pagination clearfix">
						<?php
						if($maco_loop_nav_type == 'nav_default') {
							maco_content_nav($pages = '', $range = 2);
						}
						elseif($maco_loop_nav_type == 'nav_pagina') {
							maco_pagination($pages = '', $range = 2);
						} ?>

						<?php if($maco_loop_nav_type == 'nav_infinite') { ?>

							<div class="navigation-paging infinite-wrap <?php echo esc_attr($maco_blog_infinite_style); ?> clearfix">
								<div id="load-more-loop" class="infinite-button"><?php next_posts_link( '' ); ?></div>
								<button id="load-infinite-loop" class="btn"><?php esc_html_e( 'Load More', 'maco' ); ?></button>
							</div>
							
						<?php } ?>
					</div>
				</div>
				<!-- BLOG LOOP END -->

				<!-- SIDEBAR START
				============================================= -->

				<?php if($maco_blog_style == 'sidebar') { 
					get_sidebar(); 
				} ?>

				<!-- SIDEBAR END -->
			</div>
		</div>
	</div>
	<!-- BLOOG END -->

</div>
<!-- CONTENT END -->
<?php }
else { ?>
<!-- CONTENT START
============================================= -->
<div id="content" class="blog-content-wrap clearfix">

	<!-- BLOG START
	============================================= -->
	<div class="blog right-sidebar blog-loop wrapper-space clearfix">
		<div class="container clearfix">
			<div class="row clearfix">
				
				<!-- BLOG LOOP START
				============================================= -->
				<div class="masonry-post post-masonry-style clearfix">
					<div class="blog-section main-blog-loop infinite-container content-section">

					<?php while ( have_posts() ) : the_post(); 

						get_template_part( 'inc/format/loop', get_post_format() );

					endwhile; // end of the loop. ?>

					</div>

					<div class="blog-standard pagination clearfix">
						<?php maco_content_nav($pages = '', $range = 2); ?>
					</div>
				</div>
				<!-- BLOG LOOP END -->

			</div>
		</div>
	</div>
	<!-- BLOOG END -->

</div>
<!-- CONTENT END -->
<?php } ?>

<?php maco_footer_choice(); ?>