<?php

function maco_slider_temp() {
	$shortcodes = array();
	if (class_exists('RevSliderGlobals')) {
		$sld = new RevSlider();
		$sliders = $sld->getArrSliders();
		if(!empty($sliders)){
			$first = true;
			foreach($sliders as $slider){
				$name = $slider->getParam('alias','false');
				if($name != 'false'){
					$shortcodes[$slider->getID()] = $name;
					$first = false;
				}
			}
		}
	}

	return $shortcodes;

	wp_reset_postdata();
}

function maco_contactform_temp() {
	$wpcf7_array = array();

	$args = array(
	    'post_type' => 'wpcf7_contact_form',
	);
	
	$wpcf7 = get_posts($args);

	foreach( $wpcf7 as $post ) { setup_postdata( $post );
	    $wpcf7_array[$post->ID] = $post->post_title;
	} 

	return $wpcf7_array;

    wp_reset_postdata();
}

function maco_get_category() {

$output_categories = array('All');
$categories = get_categories();

  foreach($categories as $category) { 
	 $output_categories[$category->cat_ID] = $category->name;

}
return $output_categories;
}

function maco_porto_category() {

global $post;
$output_categories2 = array();
$category_terms = get_terms('portfolio-category');

  foreach($category_terms as $category) {
	$output_categories2[$category->term_id] = $category->name;

}
return $output_categories2;
}

function maco_order_by() {
$maco_orderby = array(

	'none'                  => 'none',
	'ID'                    => 'ID',
	'author'                => 'Author',
	'title'                 => 'Title',
	'name'                  => 'Name',
	'type'                  => 'Type',
	'date'                  => 'Date',
	'modified'              => 'Modifiede Time',
	'parent'                => 'Parent',
	'rand'                  => 'Random',
	'comment_count' => 'Total Comment',
	'menu_order'    => 'Menu Order',
	'meta_value'    => 'Popular'

);

return $maco_orderby;
}

function maco_masonry_choose_column() {

	if($choose_column == 2) {
		echo 'column-2';
	}

	elseif($choose_column == 3) {
		echo 'column-3';
	}

	elseif($choose_column == 4) {
		echo 'column-4';
	}

	elseif($choose_column == 5) {
		echo 'column-5';
	}
}

function add_actions() {
	add_action( 'elementor/widgets/widgets_registered', [ $this, 'on_widgets_registered' ] );

   add_action( 'elementor/frontend/after_register_scripts', function() {
	   //wp_register_script( 'hello-world', plugins_url( '/assets/js/hello-world.js', ELEMENTOR_HELLO_WORLD__FILE__ ), [ 'jquery' ], false, true );
	   wp_register_script( 'maco-extra', get_template_directory_uri(). '/extra/assets/extra.js', array( 'jquery' ), '', false );
   } );
}


add_action( 'elementor/element/image/section_image/before_section_end', function( $element, $args ) {

	$element->add_responsive_control(
		'custom_image_align',
		[
			'type' => \Elementor\Controls_Manager::SLIDER,
			'label' => __( 'Custom Image Align', 'plugin-name' ),
			'default' => [
				'size' => 0,
				'unit' => '%',
			],
			'size_units' => [ '%' ],
			'range' => [
				'%' => [
					'min' => 0,
					'max' => 100,
				],
			],
			'selectors' => [
				'{{WRAPPER}} .elementor-image img' => 'left: {{SIZE}}{{UNIT}}; position: relative;',
			],
		]
	);
}, 10, 2 );

function maco_gallery_source() {
if('maco-portfolio' == get_post_type()){
	$maco_gall_sauce = array(
		'gallery_from_upload'	=> __( 'Upload or Media Library', 'maco' ),
		'gallery_meta_box'		=> __( 'Single Portfolio Gallery', 'maco' ),
	);
}
else {
	$maco_gall_sauce = array(
		'gallery_from_upload'	=> __( 'Upload or Media Library', 'maco' ),
	);
}

return $maco_gall_sauce;
}